Show Transaction
curl --request GET \
--url https://app.dimepayments.com/api/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"data": []
}'import requests
url = "https://app.dimepayments.com/api/transaction"
payload = { "data": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: []})
};
fetch('https://app.dimepayments.com/api/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transaction_type": "CC",
"transaction_status": "CC Pending",
"transaction_status_description": "A cc transaction that is pending",
"transaction_number": "1231",
"transaction_date": "2021-01-01",
"fund_date": "2021-01-01",
"settle_date": "2021-01-01",
"amount": "25.0000",
"description": "",
"status_code": "",
"status_text": "",
"email": "",
"phone": "",
"customer_uuid": "68d9feaa-04a9-4c48-8c00-a0b79c8b2f70",
"multi_use_token": "",
"pending": true,
"transaction_info_id": "1231321",
"parent_transaction_info_id": "12313244444",
"billing_address": {
"first_name": "",
"last_name": "",
"addr1": "",
"addr2": "",
"city": "",
"state": "",
"zip": ""
},
"shipping_address": {
"addr1": "123 Main St",
"addr2": "apt 1",
"city": "Alpharetta",
"state": "GA",
"zip": "12345"
}
}
}{
"errors": {
"data.sid": [
"The data.sid is not the correct format."
]
}
}{
"data": {
"message": "Permission Denied."
}
}{
"data": {
"message": "No transaction found"
}
}Transaction management
Show Transaction
GET
/
api
/
transaction
Show Transaction
⌘I

